{% if settings.facebook_protect_fake_purchase_enable %}
    <script>
        ! function(f, b, e, v, n, t, s) {
            if (f.fbq) return;
            n = f.fbq = function() {
                if (arguments[1] === "Purchase" || arguments[1] === "InitiateCheckout" && typeof arguments[2].order_id === "undefined") return;
                n.callMethod ? n.callMethod.apply(n, arguments) : n.queue.push(arguments)
            };
            if (!f._fbq) f._fbq = n;
            n.push = n;
            n.loaded = !0;
            n.version = '2.0';
            n.queue = [];
            t = b.createElement(e);
            t.async = !0;
            t.src = v;
            s = b.getElementsByTagName(e)[0];
            s.parentNode.insertBefore(t, s)
        }(window, document, 'script','https://connect.facebook.net/en_US/fbevents.js');
        fbq('init', '{{ settings.facebook_pixel_id_astron }}');
        fbq('track', 'PageView')
    </script>
{% endif %}

{% if settings.ali_hunter_enable %}
    {% render 'astronecom-ali-hunter-block' %}
{% endif %}

{% if settings.botao_direito_enable %}
    <script type="text/javascript">
        var message="Desculpe, o clique com o botão direito foi desativado.";
        function clickIE() {if (document.all) {(message);return false;}}
        function clickNS(e) {if
        (document.layers||(document.getElementById&&!document.all)) {
            if (e.which==2||e.which==3) {(message);return false;}}}
        if (document.layers)
        {document.captureEvents(Event.MOUSEDOWN);document.onmousedown=clickNS;}
        else{document.onmouseup=clickNS;document.oncontextmenu=clickIE;}
        document.oncontextmenu=new Function("return false")
    </script>
{% endif %}

{% if settings.atalho_f12_enable %}
    <script>
        document.onkeydown = function(e) {
            if(event.keyCode == 123) {
                return false;
            }
            if(e.ctrlKey && e.shiftKey && e.keyCode == 'I'.charCodeAt(0)){
                return false;
            }
            if(e.ctrlKey && e.shiftKey && e.keyCode == 'J'.charCodeAt(0)){
                return false;
            }
            if(e.ctrlKey && e.keyCode == 'U'.charCodeAt(0)){
                return false;
            }
        }
    </script>
{% endif %}

{% if settings.selecionar_conteudo_enable %}
    <script>
        function disableselect(e) {
            return false;
        }

        function reEnable() {
            return true;
        }

        document.onselectstart = new Function("return false");

        if (window.sidebar) {
            document.onmousedown = disableselect;
            document.onclick = reEnable;
        }
    </script>
{% endif %}
